package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformXcxPlanVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformXcxPlanVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformXcxPlanVideoMapper {
    long countByExample(ContentPlatformXcxPlanVideoExample example);

    int deleteByExample(ContentPlatformXcxPlanVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformXcxPlanVideo record);

    int insertSelective(ContentPlatformXcxPlanVideo record);

    List<ContentPlatformXcxPlanVideo> selectByExample(ContentPlatformXcxPlanVideoExample example);

    ContentPlatformXcxPlanVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformXcxPlanVideo record, @Param("example") ContentPlatformXcxPlanVideoExample example);

    int updateByExample(@Param("record") ContentPlatformXcxPlanVideo record, @Param("example") ContentPlatformXcxPlanVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformXcxPlanVideo record);

    int updateByPrimaryKey(ContentPlatformXcxPlanVideo record);
}